Skip to main content
POST
Install the exact measured native candidate atomically
Required scopes: reports:write.

Authorizations

Authorization
string
header
required

Delegated application credential issued after Chatobserver account consent. Restricted to selected workspaces and explicitly supported MCP operations. The MCP server access token is a separate credential and cannot be used here.

Headers

x-workspace-id
string
required

Explicit workspace selected for the delegated account.

Pattern: ^ws_[a-f0-9]{32}$
Idempotency-Key
string<uuid>
required

Path Parameters

planId
string<uuid>
required

Body

application/json
planHash
string
required
Pattern: ^[0-9a-f]{64}$
expectedRevision
integer
required
Required range: x >= 0
expectedDocumentHash
any
required
expectedDependencyHash
any
required
acknowledgedAdvisoryIds
string[]
required
Maximum array length: 100000
Required string length: 1 - 256

Response

Plan, committed receipt or identical creation retry.

data
object
required
replayed
boolean
required